type Maybe<T> = T | undefined | null;
/**
 * @see https://reactjs.org/docs/hooks-faq.html#what-can-i-do-if-my-effect-dependencies-change-too-often
 */
declare function useLatestFunc<T extends Maybe<(...args: any[]) => any>>(fn: T): T;
export default useLatestFunc;
