/// <reference types="react" />
import { EasyAntdModalProvider, useEasyAntdModal } from './context';
import DragModal from './drag-modal';
import Drawer from './drawer';
import Modal from './modal';
export * from './hooks';
export * from './types';
export * from './util';
export * from './drag-modal';
export * from './drawer';
export * from './modal';
export { DragModal, Drawer, EasyAntdModalProvider, Modal, useEasyAntdModal, };
export default Modal;
export * as AntdMobile from './mobile';
export declare const Antd: {
    Modal: ((props: import("./modal").ModalProps) => import("react/jsx-runtime").JSX.Element) & Omit<import("react").FC<import("antd").ModalProps> & import("antd/es/modal/confirm").ModalStaticFunctions & {
        useModal: typeof import("antd/es/modal/useModal").default;
        destroyAll: () => void;
        config: typeof import("antd/es/modal/confirm").modalGlobalConfig;
        _InternalPanelDoNotUseOrYouWillBeFired: (props: import("antd/es/modal/PurePanel").PurePanelProps) => import("react").JSX.Element;
    }, keyof import("antd").ModalProps>;
    Drawer: (props: import("./drawer").DrawerProps) => import("react/jsx-runtime").JSX.Element;
};
